# Module core::ascii

1.26.0 · source ·
Expand description

Operations on ASCII strings and characters.

Most string operations in Rust act on UTF-8 strings. However, at times it makes more sense to only consider the ASCII character set for a specific operation.

The `escape_default` function provides an iterator over the bytes of an escaped version of the character given.

## Structs

- EscapeDefault
  An iterator over the escaped version of a byte.

## Enums

- Char Experimental
  One of the 128 Unicode characters from U+0000 through U+007F, often known as the ASCII subset.

## Functions

- escape_default
  Returns an iterator that produces an escaped version of a `u8`.